class GenericSizeableSeparator {

    /**
     * Affiche une ligne de séparateur de taille {@code sepSize}, qui répète le
     * motif {@code pattern} autant de fois que nécessaire pour arriver à la
     * taille demandée.  Par exemple, si le motif est ".-°-" et la taille 19, la
     * fonction affichera {@code .-°-.-°-.-°-.-°-.-°}.
     *
     * @param pattern le motif de la ligne.
     * @param sepSize la longeur de la ligne.
     */
    public static void showSeparator(String pattern, int sepSize) {
    }

    /**
    * Affiche une chaîne de caractères sur le terminal.
    * @param s La chaîne de caractère à afficher
    */
    public static void showString (String s) {
        System.out.print (s);
    }

    /**
    * Passe à la ligne dans le terminal.
    */
    public static void showNewLine () {
        System.out.println ();
    }

    /**
    * Renvoie une chaîne d'un caractère: celui de {@code str} à la position
    * {@code idx}.
    *
    * @param str la chaîne d'où extraire le caratère.
    * @param idx l'index dans la chaîne.
    * @return le caractère dans {@code str} à l'indice {@code idx}
    */
    public static String stringCharAt(String str, int idx) {
        return String.valueOf(str.charAt(idx));
    }

    /**
    * Calcule la longueur d'une chaîne de caractères
    * @param t La chaîne dont on veut connaître la longueur
    * @return La longueur de la chaîne
    */
    public static int getStringLength(String s) {
        return s.length();
    }


    public static void main(String[] args) {
    }
}
