import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

/**
 * classe utilitaire sur les images
 *
 * @author IK
 * @version 0.0
 */
public class ImageTP2 {
    /** permet de recup&eacute;rer une <code>BufferedImage</code> &agrave;
     * partir du nom d'un fichier
     * @param fichier nom du fichier
     * @return une <code>BufferedImage</code> si le fichier existe,
     *         <code>null</code> sinon
     */
    public static BufferedImage toBufferedImage(String fichier){
	try {
	    return ImageIO.read(new File(fichier));
	} catch (IOException e) {
	    return null;
	}
    }
}
